import 'package:test/test.dart';
import 'package:holzleitner_api/holzleitner_api.dart';

// tests for ContactSource
void main() {
  final instance = ContactSourceBuilder();
  // TODO add properties to the builder and call build()

  group(ContactSource, () {
    // String abteilung
    test('to test the property `abteilung`', () async {
      // TODO
    });

    // String anrede
    test('to test the property `anrede`', () async {
      // TODO
    });

    // String deliveryId
    test('to test the property `deliveryId`', () async {
      // TODO
    });

    // String funktion
    test('to test the property `funktion`', () async {
      // TODO
    });

    // String id
    test('to test the property `id`', () async {
      // TODO
    });

    // String name1
    test('to test the property `name1`', () async {
      // TODO
    });

    // String name2
    test('to test the property `name2`', () async {
      // TODO
    });

    // String name3
    test('to test the property `name3`', () async {
      // TODO
    });

    // ContactRole role
    test('to test the property `role`', () async {
      // TODO
    });

    // String titel
    test('to test the property `titel`', () async {
      // TODO
    });

  });
}
